import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React from 'react';
import classnames from 'classnames';
import { createNamespace } from '../utils';

var _createNamespace = createNamespace('button-group'),
    _createNamespace2 = _slicedToArray(_createNamespace, 1),
    bem = _createNamespace2[0];

export var ButtonGroup = function ButtonGroup(_ref) {
  var className = _ref.className,
      style = _ref.style,
      children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: style,
    className: classnames(className, bem())
  }, children);
};
export default ButtonGroup;