/// <reference types="react" />
declare type Direction = '' | 'vertical' | 'horizontal';
declare const useTouch: () => {
    move: EventListener;
    start: EventListener;
    reset: () => void;
    deltaYRef: import("react").MutableRefObject<number>;
    isVertical: () => boolean;
    isHorizontal: () => boolean;
    startX: number;
    startY: number;
    deltaX: number;
    deltaY: number;
    offsetX: number;
    offsetY: number;
    direction: Direction;
};
export default useTouch;
