"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ButtonGroup = void 0;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _classnames() {
  var data = _interopRequireDefault(require("classnames"));

  _classnames = function _classnames() {
    return data;
  };

  return data;
}

var _utils = require("../utils");

var _createNamespace = (0, _utils.createNamespace)('button-group'),
    _createNamespace2 = (0, _slicedToArray2().default)(_createNamespace, 1),
    bem = _createNamespace2[0];

var ButtonGroup = function ButtonGroup(_ref) {
  var className = _ref.className,
      style = _ref.style,
      children = _ref.children;
  return /*#__PURE__*/_react().default.createElement("div", {
    style: style,
    className: (0, _classnames().default)(className, bem())
  }, children);
};

exports.ButtonGroup = ButtonGroup;
var _default = ButtonGroup;
exports.default = _default;