"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

  _defineProperty2 = function _defineProperty2() {
    return data;
  };

  return data;
}

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = _interopRequireDefault(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

function _classnames2() {
  var data = _interopRequireDefault(require("classnames"));

  _classnames2 = function _classnames2() {
    return data;
  };

  return data;
}

var _utils = require("../utils");

var _constant = require("../utils/constant");

var _createNamespace = (0, _utils.createNamespace)('cell-group'),
    _createNamespace2 = (0, _slicedToArray2().default)(_createNamespace, 1),
    bem = _createNamespace2[0];

var CellGroup = function CellGroup(props) {
  var title = props.title,
      border = props.border,
      inset = props.inset;

  var renderGroup = function renderGroup() {
    return /*#__PURE__*/_react().default.createElement("div", {
      className: (0, _classnames2().default)(bem({
        inset: inset
      }), (0, _defineProperty2().default)({}, _constant.BORDER_TOP_BOTTOM, !inset && border))
    }, props.children);
  };

  var renderTitle = function renderTitle() {
    return /*#__PURE__*/_react().default.createElement("div", {
      className: (0, _classnames2().default)(bem('title'))
    }, title);
  };

  if (title) return /*#__PURE__*/_react().default.createElement(_react().default.Fragment, null, renderTitle(), renderGroup());
  return renderGroup();
};

CellGroup.defaultProps = {
  border: true
};
var _default = CellGroup;
exports.default = _default;